import { Component, OnInit } from '@angular/core';

@Component({
  selector: 'app-alarm-list',
  templateUrl: './alarm-list.component.html',
  styleUrls: ['./alarm-list.component.scss'],
})
export class AlarmListComponent implements OnInit {

  list = [{
    name: '设备一',
    company: '上海辉度',
    params: '压力',
    time: new Date().getTime(),
    message: '压力为：72MPa，超过了压力50MPa的预警上限'
  }, {
    name: '设备一',
    company: '上海辉度',
    params: '压力',
    time: new Date().getTime(),
    message: '压力为：72MPa，超过了压力50MPa的预警上限'
  }, {
    name: '设备一',
    company: '上海辉度',
    params: '压力',
    time: new Date().getTime(),
    message: '压力为：72MPa，超过了压力50MPa的预警上限'
  }, {
    name: '设备二',
    company: '上海辉度',
    params: '压力',
    time: new Date().getTime(),
    message: '压力为：72MPa，超过了压力50MPa的预警上限'
  }, {
    name: '设备三',
    company: '上海辉度',
    params: '压力',
    time: new Date().getTime(),
    message: '压力为：72MPa，超过了压力50MPa的预警上限'
  }, {
    name: '设备四',
    company: '上海辉度',
    params: '压力',
    time: new Date().getTime(),
    message: '压力为：72MPa，超过了压力50MPa的预警上限'
  }, {
    name: '设备四',
    company: '上海辉度',
    params: '压力',
    time: new Date().getTime(),
    message: '压力为：72MPa，超过了压力50MPa的预警上限'
  }, {
    name: '设备四',
    company: '上海辉度',
    params: '压力',
    time: new Date().getTime(),
    message: '压力为：72MPa，超过了压力50MPa的预警上限'
  }, {
    name: '设备四',
    company: '上海辉度',
    params: '压力',
    time: new Date().getTime(),
    message: '压力为：72MPa，超过了压力50MPa的预警上限'
  }];
  constructor() { }

  ngOnInit() {}

}
